List payments
curl --request GET \
--url https://api.sandpay.dev/v1/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandpay.dev/v1/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandpay.dev/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "TX_8K3M9F",
"type": "collection",
"parentTxId": null,
"orderRef": "ORDER-2026-A1",
"orderUrl": null,
"isUrlProtected": false,
"amount": 25000,
"commission": 250,
"netAmount": 25000,
"customerTotal": 25250,
"merchantAbsorptionPct": 100,
"merchantShare": 250,
"customerShare": 0,
"commissionMode": "customer",
"currency": "FCFA",
"operator": "mtn",
"country": "CI",
"msisdn": "+22507123456",
"reference": "ZANA-PAY-20260531221015-8E2884A47B1C",
"status": "SUCCESS",
"latencyMs": 1240,
"createdAt": "2023-11-07T05:31:56Z",
"raw": {
"_simulated": true,
"amount": "25000",
"currency": "FCFA",
"externalId": "ORDER-2026-A1",
"payer": {
"partyIdType": "MSISDN",
"partyId": "22507123456"
},
"payerMessage": "Payment",
"payeeNote": "ORDER-2026-A1",
"status": "SUCCESSFUL",
"financialTransactionId": "SIM_A1B2C3D4"
},
"scenario": "success"
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"error": "quota_exceeded",
"message": "Monthly simulation quota exceeded.",
"detail": {}
}Référence API
List payments
Cursor-paginated list of payments for the authenticated organisation.
GET
/
v1
/
payments
List payments
Autorisations
API key in format sp_sk_test_... or sp_sk_live_....
Paramètres de requête
Maximum number of payments to return (1–100).
Plage requise:
1 <= x <= 100ISO-3166 2-letter country code filter (e.g. CI, SN).
Required string length:
2Operator code filter.
Options disponibles:
mtn, orange, moov, airtel Final payment status filter.
Options disponibles:
SUCCESS, PIN_INVALID, INSUFFICIENT_FUNDS, TIMEOUT, ACCOUNT_BLOCKED, USER_CANCELLED, UNKNOWN_MSISDN, LIMIT_EXCEEDED, SERVICE_UNAVAILABLE, DUPLICATE_REFERENCE, PENDING Transaction direction filter (collection / refund / disbursement).
Transaction direction (B119): collection (pay-in, customer →
merchant), refund (payout reversing a collection), or
disbursement (free-form payout, merchant → an msisdn).
Options disponibles:
collection, refund, disbursement Opaque pagination cursor returned by a previous call.